> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.helpyousponsor.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Add a designation to the checkout



## OpenAPI

````yaml post /frontend/checkout/designation/{client_id}/{program_id}/{currency}/{session_id}
openapi: 3.0.0
info:
  title: Example for response examples value
  version: '1.0'
servers:
  - url: https://api.helpyousponsor.com/v1
    description: Production
security: []
paths:
  /frontend/checkout/designation/{client_id}/{program_id}/{currency}/{session_id}:
    post:
      tags:
        - Frontend
      summary: Add a designation to the checkout
      operationId: e7bdd80aafe1b6522a61de0fdd7f84a9
      parameters:
        - name: client_id
          in: path
          description: The ID of the client
          required: true
          schema:
            type: integer
        - name: program_id
          in: path
          description: The ID of the program
          required: true
          schema:
            type: integer
        - name: currency
          in: path
          description: The currency of the designation
          required: true
          schema:
            type: string
        - name: session_id
          in: path
          description: The ID of the session
          required: true
          schema:
            type: string
      requestBody:
        description: Data for adding a designation
        required: true
        content:
          application/json:
            schema:
              properties:
                designation:
                  type: string
                  example: MASTER
                designation_amount:
                  type: number
                  example: 100
              type: object
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: string
                    example: success
                  message:
                    type: string
                    example: Gift of USD 100.00 was added
                type: object
        '422':
          description: Validation error
          content:
            application/json:
              schema:
                properties:
                  message:
                    type: string
                    example: Validation error
                  errors:
                    type: object
                    example:
                      designation_amount: The designation amount must be at least 1.00
                type: object

````